<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net10.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<HotReloadAutoRestart>true</HotReloadAutoRestart>
	</PropertyGroup>

	<ItemGroup>
	  <None Remove="nul" />
	</ItemGroup>
	
	<ItemGroup>
		<None Include=".github\copilot-instructions.md" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="10.0.2" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="10.0.2" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.2">
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
			<PrivateAssets>all</PrivateAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="10.0.2" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="10.0.2">
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
			<PrivateAssets>all</PrivateAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="10.0.2" />
		<PackageReference Include="MimeKit" Version="4.15.1" />
		<PackageReference Include="System.Management" Version="10.0.2" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Application\Application.csproj" />
		<ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Folder Include="wwwroot\uploads\basic\" />
		<Folder Include="wwwroot\uploads\banner\" />
		<Folder Include="wwwroot\uploads\thumb\" />
	</ItemGroup>

</Project>
